///
///	@file play_service.h @brief Play service header file.
///
///	Copyright (c) 2012 by durchflieger.  All Rights Reserved.
///
///	Contributor(s):
///
///	License: AGPLv3
///
///	This program is free software: you can redistribute it and/or modify
///	it under the terms of the GNU Affero General Public License as
///	published by the Free Software Foundation, either version 3 of the
///	License.
///
///	This program is distributed in the hope that it will be useful,
///	but WITHOUT ANY WARRANTY; without even the implied warranty of
///	MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
///	GNU Affero General Public License for more details.
///
///	$Id: ef63a913257807fc9fa55e31d3c12c46c79a819a $
//////////////////////////////////////////////////////////////////////////////

#pragma once
#include <string>

#define PLAY_OSD_3DMODE_SERVICE	"Play-Osd3DModeService-v1.0"
#define PLAY_START_PLAY_SERVICE "Play-StartPlayService_v1_0"
#define PLAY_SET_TITLE_SERVICE "Play-SetTitleService_v1_0"

typedef struct
{
    int Mode;
} Play_Osd3DModeService_v1_0_t;

typedef struct
{
	char* Filename;
	char* Title;
} Play_StartPlayService_v1_0_t;

typedef struct
{
	char* Title;
} Play_SetTitleService_v1_0_t;
